/* App general css within app-div
 *
 * */

.app-div {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}
.form-submit {
    margin: 1.2rem 0rem;
    align-self: center;
}
.form-container {
    display: flex;
    align-items: center;
    flex-direction: column;
    user-select: none;
    background: transparent;
    background-size: cover;
    padding: 1em;
    background-color: #0a7a99;
    opacity: 0.9;
    overflow: auto;
    min-width:25%;
    align-self: baseline;
    flex-grow:1;
}
@media screen and (max-width: 500px) {
    .form-container {
        margin: none;
        padding: none;
        width: 100dvw;
    }
}

.tab-navigator {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}
.tab-control .active {
    position: relative;
    z-index: 1;
    color: white;
    font-weight: bold;
}
.tab-control {
    overflow: hidden;
    padding: .5rem 1rem;
    color: #ddd;
    margin-bottom: 1rem;
    font-weight: bold;
}
.tab-navi {
}
.scroll-container {
  overflow: hidden;
  position: relative;
  margin-bottom: 0.2rem;
}

.scroll-content {
  /*display: flex;
  transition: transform 0.3s ease-in-out;*/
}

.scroll-item {
  /*flex: 0 0 auto;*/
  padding: 10px;
  margin: 0 5px;
  cursor: pointer;
  text-align:center;
}

.scroll-item.active {
  color: #fff;
  font-weight:bold;
}

.scroll-arrows {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
  display: flex;
  justify-content: space-between;
  pointer-events: none;
}

.arrow {
  background-color: rgba(0,60,136,.8);
  font-size: 1.5rem;
  pointer-events: auto;
  cursor: pointer;
  width:3.5rem;
  text-align:center;
  border-radius: 4px;
  border: 1px solid rgba(0,57,128,.8);
}

/**
 * Header
 */

.header {
  margin-top:auto;
  align-content: center;
  align-items: stretch;
  background: #0a7a99;
  box-shadow:
    0 4px 5px 0 rgba(0, 0, 0, 0.14),
    0 2px 9px 1px rgba(0, 0, 0, 0.12),
    0 4px 2px -2px rgba(0, 0, 0, 0.2);
  color: #fff;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  font-size: 20px;
  justify-content: flex-start;
  transition: transform 0.233s cubic-bezier(0, 0, 0.21, 1) 0.1s;
  width: 100%;
  will-change: transform;
  z-index: 1000;
}

.header h1 {
  flex: 1;
  font-size: 20px;
  font-weight: 400;
  margin: 0;
}
/* install button */
.header button {
  border: none;
  cursor: pointer;
  height: 24px;
  opacity: 0.54;
  outline: none;
  overflow: hidden;
  text-indent: -30000px;
  transition: opacity 0.333s cubic-bezier(0, 0, 0.21, 1);
  width: 24px;
  margin: 0.4rem;
}
.header button:hover {
    background-color: #05586f;
    color: black;
    transition: 100ms linear;
}


.header #butRefresh {
  background: url(../images/refresh.svg) center center no-repeat;
}

.header #butInstall {
  background: url(../images/install.svg) center center no-repeat;
}

.header .powered-by {
  color: white;
  font-size: 0.6em;
  text-decoration: underline;
}

.header-button {
    cursor: pointer;
    text-align: center;
    padding:0.4rem;
}
.header-button:hover {
    background-color: rgba(90,90,90,0.5);
    color: black;
    transition: 100ms linear;
}

/* Menu */
.Menu {
    position: absolute;
    left:0;
    bottom:2.3rem;
    padding:0.8rem;
    background-color: #0a7a99;
    border-top: 1px solid #097989;
    border-right:1px solid #097989;
}

.Menu ul {
    list-style-type:none;
    padding:0;
    margin:0;
}
.Menu ul li {
    cursor: pointer;
    padding: 0.4rem 0.8rem 0.4rem 0.8rem
}
.Menu ul li:hover {
    transition: 100ms linear;
    background-color: rgba(90,90,90,0.5);
}
